begin;
INSERT INTO tournaments 
  (season, name, country, location, "date", machine, scoringsystem) VALUES (
    (SELECT season FROM seasons WHERE name='Challenge Cup 2004'),
    'Challenge Cup 6',
    (SELECT country FROM countries WHERE name='Norway'),
    'Fredrikstad Mestern Bowling',
    '2004-10-24',
    (SELECT machine FROM machines WHERE name='Dancing Stage EuroMix 2'),
    (SELECT scoringsystem FROM scoringsystems WHERE name='10K Machine score')
);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT song FROM songs WHERE lower(title)=lower('Love This Feelin\''))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT song FROM songs WHERE lower(title)=lower('Make A Jam!'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Pyro' AS nick WHERE 'Pyro' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Pyro'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Pyro'),
   (SELECT song FROM songs WHERE lower(title)=lower('Love This Feelin\'')),
   'f',
   5540);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Pyro'),
   (SELECT song FROM songs WHERE lower(title)=lower('Make A Jam!')),
   'f',
   5501);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Th0rny' AS nick WHERE 'Th0rny' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Th0rny'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Th0rny'),
   (SELECT song FROM songs WHERE lower(title)=lower('Love This Feelin\'')),
   'f',
   6512);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Th0rny'),
   (SELECT song FROM songs WHERE lower(title)=lower('Make A Jam!')),
   'f',
   6227);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Glukko' AS nick WHERE 'Glukko' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Glukko'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Glukko'),
   (SELECT song FROM songs WHERE lower(title)=lower('Love This Feelin\'')),
   'f',
   4245);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Glukko'),
   (SELECT song FROM songs WHERE lower(title)=lower('Make A Jam!')),
   'f',
   5710);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Daniil' AS nick WHERE 'Daniil' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Daniil'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Daniil'),
   (SELECT song FROM songs WHERE lower(title)=lower('Love This Feelin\'')),
   'f',
   6454);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Daniil'),
   (SELECT song FROM songs WHERE lower(title)=lower('Make A Jam!')),
   'f',
   6776);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snofox' AS nick WHERE 'Snofox' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Snofox'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('Love This Feelin\'')),
   'f',
   6948);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('Make A Jam!')),
   'f',
   6685);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Snute'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Love This Feelin\'')),
   'f',
   7506);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 1,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Make A Jam!')),
   'f',
   7370);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT song FROM songs WHERE lower(title)=lower('Higher'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT song FROM songs WHERE lower(title)=lower('Groove 2001'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Glock' AS nick WHERE 'Glock' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='Glock'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='Glock'),
   (SELECT song FROM songs WHERE lower(title)=lower('Higher')),
   'f',
   4122);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='Glock'),
   (SELECT song FROM songs WHERE lower(title)=lower('Groove 2001')),
   'f',
   4862);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Athena' AS nick WHERE 'Athena' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='Athena'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='Athena'),
   (SELECT song FROM songs WHERE lower(title)=lower('Higher')),
   'f',
   4533);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='Athena'),
   (SELECT song FROM songs WHERE lower(title)=lower('Groove 2001')),
   'f',
   4915);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Matsi' AS nick WHERE 'Matsi' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='Matsi'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='Matsi'),
   (SELECT song FROM songs WHERE lower(title)=lower('Higher')),
   'f',
   5130);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='Matsi'),
   (SELECT song FROM songs WHERE lower(title)=lower('Groove 2001')),
   'f',
   6092);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Bonzo' AS nick WHERE 'Bonzo' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='Bonzo'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='Bonzo'),
   (SELECT song FROM songs WHERE lower(title)=lower('Higher')),
   'f',
   6490);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='Bonzo'),
   (SELECT song FROM songs WHERE lower(title)=lower('Groove 2001')),
   'f',
   6430);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Smiph' AS nick WHERE 'Smiph' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='Smiph'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='Smiph'),
   (SELECT song FROM songs WHERE lower(title)=lower('Higher')),
   'f',
   5325);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='Smiph'),
   (SELECT song FROM songs WHERE lower(title)=lower('Groove 2001')),
   'f',
   5959);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'DufF' AS nick WHERE 'DufF' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='DufF'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Higher')),
   'f',
   6723);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 2,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Groove 2001')),
   'f',
   6834);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT song FROM songs WHERE lower(title)=lower('DXY!'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Ifrit' AS nick WHERE 'Ifrit' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='Ifrit'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='Ifrit'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   'f',
   3057);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='Ifrit'),
   (SELECT song FROM songs WHERE lower(title)=lower('DXY!')),
   'f',
   4486);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'ViD' AS nick WHERE 'ViD' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='ViD'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='ViD'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   'f',
   8517);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='ViD'),
   (SELECT song FROM songs WHERE lower(title)=lower('DXY!')),
   'f',
   6820);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Hyper' AS nick WHERE 'Hyper' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='Hyper'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='Hyper'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   'f',
   7935);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='Hyper'),
   (SELECT song FROM songs WHERE lower(title)=lower('DXY!')),
   'f',
   5109);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Andeplane' AS nick WHERE 'Andeplane' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='Andeplane'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='Andeplane'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   'f',
   7938);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='Andeplane'),
   (SELECT song FROM songs WHERE lower(title)=lower('DXY!')),
   'f',
   5713);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Gogo' AS nick WHERE 'Gogo' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='Gogo'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='Gogo'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   'f',
   8841);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='Gogo'),
   (SELECT song FROM songs WHERE lower(title)=lower('DXY!')),
   'f',
   7573);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Duckling' AS nick WHERE 'Duckling' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='Duckling'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='Duckling'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   'f',
   8650);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='Duckling'),
   (SELECT song FROM songs WHERE lower(title)=lower('DXY!')),
   'f',
   6988);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'OJK' AS nick WHERE 'OJK' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='OJK'),
   7
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   'f',
   8893);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 3,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('DXY!')),
   'f',
   7599);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT song FROM songs WHERE lower(title)=lower('Luv to Me (AMD Mix)'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT song FROM songs WHERE lower(title)=lower('Nori Nori Nori'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Electron' AS nick WHERE 'Electron' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Electron'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Electron'),
   (SELECT song FROM songs WHERE lower(title)=lower('Luv to Me (AMD Mix)')),
   'f',
   5545);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Electron'),
   (SELECT song FROM songs WHERE lower(title)=lower('Nori Nori Nori')),
   'f',
   5420);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Guru' AS nick WHERE 'Guru' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Guru'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Guru'),
   (SELECT song FROM songs WHERE lower(title)=lower('Luv to Me (AMD Mix)')),
   'f',
   5318);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Guru'),
   (SELECT song FROM songs WHERE lower(title)=lower('Nori Nori Nori')),
   'f',
   4598);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Annkakri' AS nick WHERE 'Annkakri' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Annkakri'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Annkakri'),
   (SELECT song FROM songs WHERE lower(title)=lower('Luv to Me (AMD Mix)')),
   'f',
   4415);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Annkakri'),
   (SELECT song FROM songs WHERE lower(title)=lower('Nori Nori Nori')),
   'f',
   4341);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Felz' AS nick WHERE 'Felz' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Felz'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Felz'),
   (SELECT song FROM songs WHERE lower(title)=lower('Luv to Me (AMD Mix)')),
   'f',
   6274);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Felz'),
   (SELECT song FROM songs WHERE lower(title)=lower('Nori Nori Nori')),
   'f',
   5600);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Draconia' AS nick WHERE 'Draconia' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Draconia'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Draconia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Luv to Me (AMD Mix)')),
   'f',
   5075);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Draconia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Nori Nori Nori')),
   'f',
   6218);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Ylini' AS nick WHERE 'Ylini' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Ylini'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Ylini'),
   (SELECT song FROM songs WHERE lower(title)=lower('Luv to Me (AMD Mix)')),
   'f',
   6801);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Ylini'),
   (SELECT song FROM songs WHERE lower(title)=lower('Nori Nori Nori')),
   'f',
   5958);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Haggar' AS nick WHERE 'Haggar' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Haggar'),
   7
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Haggar'),
   (SELECT song FROM songs WHERE lower(title)=lower('Luv to Me (AMD Mix)')),
   'f',
   7178);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 4,
   (SELECT player FROM players WHERE nick='Haggar'),
   (SELECT song FROM songs WHERE lower(title)=lower('Nori Nori Nori')),
   'f',
   6748);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT song FROM songs WHERE lower(title)=lower('Let the Beat Hit \'em!'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Goku' AS nick WHERE 'Goku' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='Goku'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='Goku'),
   (SELECT song FROM songs WHERE lower(title)=lower('Let the Beat Hit \'em!')),
   'f',
   5857);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='Goku'),
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   5900);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Montana' AS nick WHERE 'Montana' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='Montana'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='Montana'),
   (SELECT song FROM songs WHERE lower(title)=lower('Let the Beat Hit \'em!')),
   'f',
   5411);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='Montana'),
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   4624);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'JonAnders' AS nick WHERE 'JonAnders' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='JonAnders'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='JonAnders'),
   (SELECT song FROM songs WHERE lower(title)=lower('Let the Beat Hit \'em!')),
   'f',
   4643);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='JonAnders'),
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   4202);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Alexxz' AS nick WHERE 'Alexxz' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='Alexxz'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='Alexxz'),
   (SELECT song FROM songs WHERE lower(title)=lower('Let the Beat Hit \'em!')),
   'f',
   6074);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='Alexxz'),
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   6053);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Pingo' AS nick WHERE 'Pingo' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='Pingo'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='Pingo'),
   (SELECT song FROM songs WHERE lower(title)=lower('Let the Beat Hit \'em!')),
   'f',
   6413);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='Pingo'),
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   6100);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Nameless' AS nick WHERE 'Nameless' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='Nameless'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='Nameless'),
   (SELECT song FROM songs WHERE lower(title)=lower('Let the Beat Hit \'em!')),
   'f',
   6518);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='Nameless'),
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   6543);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'RiChY' AS nick WHERE 'RiChY' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='RiChY'),
   7
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='RiChY'),
   (SELECT song FROM songs WHERE lower(title)=lower('Let the Beat Hit \'em!')),
   'f',
   5975);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 5,
   (SELECT player FROM players WHERE nick='RiChY'),
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   5993);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT song FROM songs WHERE lower(title)=lower('20th November'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Matti' AS nick WHERE 'Matti' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='Matti'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='Matti'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love')),
   'f',
   6024);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='Matti'),
   (SELECT song FROM songs WHERE lower(title)=lower('20th November')),
   'f',
   5382);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'v|per' AS nick WHERE 'v|per' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='v|per'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='v|per'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love')),
   'f',
   5783);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='v|per'),
   (SELECT song FROM songs WHERE lower(title)=lower('20th November')),
   'f',
   5011);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Zackie' AS nick WHERE 'Zackie' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='Zackie'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='Zackie'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love')),
   'f',
   5507);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='Zackie'),
   (SELECT song FROM songs WHERE lower(title)=lower('20th November')),
   'f',
   4324);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Mync' AS nick WHERE 'Mync' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='Mync'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='Mync'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love')),
   'f',
   6750);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='Mync'),
   (SELECT song FROM songs WHERE lower(title)=lower('20th November')),
   'f',
   5565);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Ozon' AS nick WHERE 'Ozon' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='Ozon'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='Ozon'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love')),
   'f',
   7482);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='Ozon'),
   (SELECT song FROM songs WHERE lower(title)=lower('20th November')),
   'f',
   5751);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'T|na' AS nick WHERE 'T|na' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='T|na'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='T|na'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love')),
   'f',
   7036);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='T|na'),
   (SELECT song FROM songs WHERE lower(title)=lower('20th November')),
   'f',
   6416);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Oliyzia' AS nick WHERE 'Oliyzia' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   7
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love')),
   'f',
   7381);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   1, 6,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('20th November')),
   'f',
   6500);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT song FROM songs WHERE lower(title)=lower('Hysteria 2001'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT song FROM songs WHERE lower(title)=lower('Rain of Sorrow'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=2;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=2;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Daniil' AS nick WHERE 'Daniil' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='Daniil'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='Daniil'),
   (SELECT song FROM songs WHERE lower(title)=lower('Hysteria 2001')),
   'f',
   6540);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='Daniil'),
   (SELECT song FROM songs WHERE lower(title)=lower('Rain of Sorrow')),
   'f',
   7085);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'ViD' AS nick WHERE 'ViD' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='ViD'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='ViD'),
   (SELECT song FROM songs WHERE lower(title)=lower('Hysteria 2001')),
   'f',
   6437);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='ViD'),
   (SELECT song FROM songs WHERE lower(title)=lower('Rain of Sorrow')),
   'f',
   7492);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Ylini' AS nick WHERE 'Ylini' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='Ylini'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='Ylini'),
   (SELECT song FROM songs WHERE lower(title)=lower('Hysteria 2001')),
   'f',
   6534);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='Ylini'),
   (SELECT song FROM songs WHERE lower(title)=lower('Rain of Sorrow')),
   'f',
   7877);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Bonzo' AS nick WHERE 'Bonzo' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='Bonzo'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='Bonzo'),
   (SELECT song FROM songs WHERE lower(title)=lower('Hysteria 2001')),
   'f',
   6464);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='Bonzo'),
   (SELECT song FROM songs WHERE lower(title)=lower('Rain of Sorrow')),
   'f',
   7370);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='Snute'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Hysteria 2001')),
   'f',
   6899);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Rain of Sorrow')),
   'f',
   8498);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Gogo' AS nick WHERE 'Gogo' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='Gogo'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='Gogo'),
   (SELECT song FROM songs WHERE lower(title)=lower('Hysteria 2001')),
   'f',
   6182);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 1,
   (SELECT player FROM players WHERE nick='Gogo'),
   (SELECT song FROM songs WHERE lower(title)=lower('Rain of Sorrow')),
   'f',
   6574);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT song FROM songs WHERE lower(title)=lower('Memories'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT song FROM songs WHERE lower(title)=lower('Keep On Movin\''))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=2;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=2;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Felz' AS nick WHERE 'Felz' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='Felz'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='Felz'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   5421);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='Felz'),
   (SELECT song FROM songs WHERE lower(title)=lower('Keep On Movin\'')),
   'f',
   5171);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Mync' AS nick WHERE 'Mync' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='Mync'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='Mync'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   5685);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='Mync'),
   (SELECT song FROM songs WHERE lower(title)=lower('Keep On Movin\'')),
   'f',
   4738);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'OJK' AS nick WHERE 'OJK' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='OJK'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   6952);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Keep On Movin\'')),
   'f',
   6567);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'T|na' AS nick WHERE 'T|na' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='T|na'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='T|na'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   6339);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='T|na'),
   (SELECT song FROM songs WHERE lower(title)=lower('Keep On Movin\'')),
   'f',
   5690);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'DufF' AS nick WHERE 'DufF' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='DufF'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   7547);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Keep On Movin\'')),
   'f',
   6182);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Nameless' AS nick WHERE 'Nameless' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='Nameless'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='Nameless'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   7228);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 2,
   (SELECT player FROM players WHERE nick='Nameless'),
   (SELECT song FROM songs WHERE lower(title)=lower('Keep On Movin\'')),
   'f',
   5429);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT song FROM songs WHERE lower(title)=lower('End of the Century'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=2;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=2;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Smiph' AS nick WHERE 'Smiph' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='Smiph'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='Smiph'),
   (SELECT song FROM songs WHERE lower(title)=lower('End of the Century')),
   'f',
   6286);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='Smiph'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   'f',
   7291);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'RiChY' AS nick WHERE 'RiChY' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='RiChY'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='RiChY'),
   (SELECT song FROM songs WHERE lower(title)=lower('End of the Century')),
   'f',
   7500);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='RiChY'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   'f',
   8560);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snofox' AS nick WHERE 'Snofox' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='Snofox'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('End of the Century')),
   'f',
   8198);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   'f',
   8719);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Pingo' AS nick WHERE 'Pingo' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='Pingo'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='Pingo'),
   (SELECT song FROM songs WHERE lower(title)=lower('End of the Century')),
   'f',
   7920);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='Pingo'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   'f',
   8333);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Haggar' AS nick WHERE 'Haggar' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='Haggar'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='Haggar'),
   (SELECT song FROM songs WHERE lower(title)=lower('End of the Century')),
   'f',
   8713);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='Haggar'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   'f',
   8720);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Oliyzia' AS nick WHERE 'Oliyzia' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('End of the Century')),
   'f',
   8307);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   2, 3,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   'f',
   8545);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=3;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=3;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Nameless' AS nick WHERE 'Nameless' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   'f',
   8064);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Oliyzia' AS nick WHERE 'Oliyzia' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   'f',
   8296);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Bonzo' AS nick WHERE 'Bonzo' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='Bonzo'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='Bonzo'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   'f',
   8207);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Ylini' AS nick WHERE 'Ylini' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='Ylini'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='Ylini'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   'f',
   8015);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'OJK' AS nick WHERE 'OJK' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   'f',
   8704);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snofox' AS nick WHERE 'Snofox' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   'f',
   8494);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'DufF' AS nick WHERE 'DufF' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   7
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   'f',
   8755);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   8
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   'f',
   8769);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Haggar' AS nick WHERE 'Haggar' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   9
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   3, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   'f',
   8631);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   4,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   4, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   4, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Burnin\' the Floor'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=4;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=4;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Nameless' AS nick WHERE 'Nameless' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   4, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   4, 0,
   (SELECT player FROM players WHERE nick='Nameless'),
   (SELECT song FROM songs WHERE lower(title)=lower('Burnin\' the Floor')),
   'f',
   6585);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Oliyzia' AS nick WHERE 'Oliyzia' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   4, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   4, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Burnin\' the Floor')),
   'f',
   7296);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Haggar' AS nick WHERE 'Haggar' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   4, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   4, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   (SELECT song FROM songs WHERE lower(title)=lower('Burnin\' the Floor')),
   'f',
   6862);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snofox' AS nick WHERE 'Snofox' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   4, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   4, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('Burnin\' the Floor')),
   'f',
   6871);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'DufF' AS nick WHERE 'DufF' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   4, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   4, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Burnin\' the Floor')),
   'f',
   6848);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'OJK' AS nick WHERE 'OJK' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   4, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   4, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Burnin\' the Floor')),
   'f',
   7316);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   4, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   7
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   4, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Burnin\' the Floor')),
   'f',
   7651);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   5,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   5, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   5, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=5;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=5;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snofox' AS nick WHERE 'Snofox' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   5, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   5, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6649);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'DufF' AS nick WHERE 'DufF' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   5, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   5, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6860);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'OJK' AS nick WHERE 'OJK' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   5, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   5, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6603);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Oliyzia' AS nick WHERE 'Oliyzia' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   5, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   5, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6652);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   5, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   5, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('The Centre of the Heart (Stonebridge Club Mix)')),
   'f',
   6675);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   6,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   6, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   6, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Secret Rendez-vous'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=6;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=6;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'OJK' AS nick WHERE 'OJK' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   6, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   6, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Secret Rendez-vous')),
   'f',
   5446);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snofox' AS nick WHERE 'Snofox' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   6, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   6, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('Secret Rendez-vous')),
   'f',
   5477);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'DufF' AS nick WHERE 'DufF' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   6, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   6, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Secret Rendez-vous')),
   'f',
   6489);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   6, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   6, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Secret Rendez-vous')),
   'f',
   6480);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   7,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   7, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   7, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Memories'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=7;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=7;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'OJK' AS nick WHERE 'OJK' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   7, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   7, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   7282);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'DufF' AS nick WHERE 'DufF' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   7, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   7, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   7327);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   7, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   7, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   7717);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   8,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   8, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   8, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Destiny'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   8, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Max 300'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 6') AND 
  round=8;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'DufF' AS nick WHERE 'DufF' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   8, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   8, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Destiny')),
   'f',
   5834);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   8, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Max 300')),
   'f',
   9140);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   8, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   8, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Destiny')),
   'f',
   6579);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 6'),
   8, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Max 300')),
   'f',
   9681);
commit;
